#!/bin/bash

DIR="/home/mrtg/WWW/siklu"
NAME="Siklu OU Hovezi => ZS Hovezi"
DST1="192.168.177.2"
DST2="192.168.177.3"
USR="admin"
PWD="admin"
RRD="$DST1.rrd"
PNG="$DST1.png"

#rssi1
$DIR/siklog.sh $DST1 $USR $PWD|grep "rf " > $DST1.log
cat $DST1.log |grep "rf rssi "|awk '{print $4}' > R.log
R1=`cat R.log|awk -F "" '{printf $1$2$3}'`
#rssi2
$DIR/siklog.sh $DST2 $USR $PWD|grep "rf " > $DST2.log
cat $DST2.log |grep "rf rssi "|awk '{print $4}' > R.log
R2=`cat R.log|awk -F "" '{printf $1$2$3}'`
rm R.log
rm $DST1.log
rm $DST2.log

#teplota
T1=`snmpwalk -v 2c -c public $DST1 1.3.6.1.4.1.31926.2.1.1.26|awk '{printf $4}'`
T2=`snmpwalk -v 2c -c public $DST2 1.3.6.1.4.1.31926.2.1.1.26|awk '{printf $4}'`

#Počet chybných přijatých oktetů z RF spoje
O1=`snmpwalk -v 2c -c public $DST1 1.3.6.1.4.1.31926.2.2.1.4|awk '{printf $4}'`
O2=`snmpwalk -v 2c -c public $DST2 1.3.6.1.4.1.31926.2.2.1.4|awk '{printf $4}'`

#Napeti
V1=`snmpwalk -v 2c -c public $DST1 1.3.6.1.4.1.31926.1.1|awk '{printf $4}'`
V2=`snmpwalk -v 2c -c public $DST2 1.3.6.1.4.1.31926.1.1|awk '{printf $4}'`

TIME=`date +%s`

if [ ! -e $RRD ]; then
  rrdtool create $RRD \
	--step 300 \
	DS:Teplota1:GAUGE:600:-273:100 \
	DS:RSSI1:GAUGE:600:-200:0 \
	DS:ERROCT1:COUNTER:600:0:U \
	DS:VOLT1:GAUGE:600:0:100 \
	DS:Teplota2:GAUGE:600:-273:100 \
	DS:RSSI2:GAUGE:600:-200:0 \
	DS:ERROCT2:COUNTER:600:0:U \
	DS:VOLT2:GAUGE:600:0:100 \
	\
	RRA:AVERAGE:0.5:1:288 \
	RRA:AVERAGE:0.5:4:576 \
	RRA:AVERAGE:0.5:12:744 \
	RRA:AVERAGE:0.5:96:1095 \
	RRA:AVERAGE:0.5:800:1314 ;
fi

#zapis dat
rrdtool update $RRD \
	"$TIME:$T1:$R1:$O1:$V1:$T2:$R2:$O2:$V2" ;

# tvorba grafu teplot
rrdtool graph Teplota-1d-$PNG \
	--title "Teplota @ $NAME" \
	--start end-1d \
	--end now \
	--imgformat PNG \
	--vertical-label "Teplota °C" \
	--width 800 \
	--height 300 \
	DEF:Teplota1=$RRD:Teplota1:AVERAGE \
	DEF:Teplota2=$RRD:Teplota2:AVERAGE \
	LINE2:Teplota1#FF0010:"Teplota RF Lokalni" \
	GPRINT:Teplota1:LAST:"\\tcur\:%3.0lf °C" \
	GPRINT:Teplota1:MIN:"\\tmin\:%3.0lf °C" \
	GPRINT:Teplota1:MAX:"\\tmax\:%3.0lf °C" \
	GPRINT:Teplota1:AVERAGE:"\\tavg\:%3.00lf °C\\n" \
	LINE2:Teplota2#FFC800:"Teplota RF Vzdalena" \
	GPRINT:Teplota2:LAST:"\\tcur\:%3.0lf °C" \
	GPRINT:Teplota2:MIN:"\\tmin\:%3.0lf °C" \
        GPRINT:Teplota2:MAX:"\\tmax\:%3.0lf °C" \
        GPRINT:Teplota2:AVERAGE:"\\tavg\:%3.00lf °C\\n" ;

rrdtool graph Teplota-1w-$PNG \
        --title "Teplota @ $NAME" \
        --start end-1w \
        --end now \
        --imgformat PNG \
        --vertical-label "Teplota °C" \
        --width 800 \
        --height 300 \
        DEF:Teplota1=$RRD:Teplota1:AVERAGE \
        DEF:Teplota2=$RRD:Teplota2:AVERAGE \
        LINE2:Teplota1#FF0010:"Teplota RF Lokalni" \
        GPRINT:Teplota1:LAST:"\\tcur\:%3.0lf °C" \
        GPRINT:Teplota1:MIN:"\\tmin\:%3.0lf °C" \
        GPRINT:Teplota1:MAX:"\\tmax\:%3.0lf °C" \
        GPRINT:Teplota1:AVERAGE:"\\tavg\:%3.00lf °C\\n" \
        LINE2:Teplota2#FFC800:"Teplota RF Vzdalena" \
        GPRINT:Teplota2:LAST:"\\tcur\:%3.0lf °C" \
        GPRINT:Teplota2:MIN:"\\tmin\:%3.0lf °C" \
        GPRINT:Teplota2:MAX:"\\tmax\:%3.0lf °C" \
        GPRINT:Teplota2:AVERAGE:"\\tavg\:%3.00lf °C\\n" ;

rrdtool graph Teplota-1m-$PNG \
        --title "Teplota @ $NAME" \
        --start end-1m \
        --end now \
        --imgformat PNG \
        --vertical-label "Teplota °C" \
        --width 800 \
        --height 300 \
        DEF:Teplota1=$RRD:Teplota1:AVERAGE \
        DEF:Teplota2=$RRD:Teplota2:AVERAGE \
        LINE2:Teplota1#FF0010:"Teplota RF Lokalni" \
        GPRINT:Teplota1:LAST:"\\tcur\:%3.0lf °C" \
        GPRINT:Teplota1:MIN:"\\tmin\:%3.0lf °C" \
        GPRINT:Teplota1:MAX:"\\tmax\:%3.0lf °C" \
        GPRINT:Teplota1:AVERAGE:"\\tavg\:%3.00lf °C\\n" \
        LINE2:Teplota2#FFC800:"Teplota RF Vzdalena" \
        GPRINT:Teplota2:LAST:"\\tcur\:%3.0lf °C" \
        GPRINT:Teplota2:MIN:"\\tmin\:%3.0lf °C" \
        GPRINT:Teplota2:MAX:"\\tmax\:%3.0lf °C" \
        GPRINT:Teplota2:AVERAGE:"\\tavg\:%3.00lf °C\\n" ;

rrdtool graph Teplota-1y-$PNG \
        --title "Teplota @ $NAME" \
        --start end-1y \
        --end now \
        --imgformat PNG \
        --vertical-label "Teplota °C" \
        --width 800 \
        --height 300 \
        DEF:Teplota1=$RRD:Teplota1:AVERAGE \
        DEF:Teplota2=$RRD:Teplota2:AVERAGE \
        LINE2:Teplota1#FF0010:"Teplota RF Lokalni" \
        GPRINT:Teplota1:LAST:"\\tcur\:%3.0lf °C" \
        GPRINT:Teplota1:MIN:"\\tmin\:%3.0lf °C" \
        GPRINT:Teplota1:MAX:"\\tmax\:%3.0lf °C" \
        GPRINT:Teplota1:AVERAGE:"\\tavg\:%3.00lf °C\\n" \
        LINE2:Teplota2#FFC800:"Teplota RF Vzdalena" \
        GPRINT:Teplota2:LAST:"\\tcur\:%3.0lf °C" \
        GPRINT:Teplota2:MIN:"\\tmin\:%3.0lf °C" \
        GPRINT:Teplota2:MAX:"\\tmax\:%3.0lf °C" \
        GPRINT:Teplota2:AVERAGE:"\\tavg\:%3.00lf °C\\n" ;

rrdtool graph Teplota-10y-$PNG \
        --title "Teplota @ $NAME" \
        --start end-10y \
        --end now \
        --imgformat PNG \
        --vertical-label "Teplota °C" \
        --width 800 \
        --height 300 \
        DEF:Teplota1=$RRD:Teplota1:AVERAGE \
        DEF:Teplota2=$RRD:Teplota2:AVERAGE \
        LINE2:Teplota1#FF0010:"Teplota RF Lokalni" \
        GPRINT:Teplota1:LAST:"\\tcur\:%3.0lf °C" \
        GPRINT:Teplota1:MIN:"\\tmin\:%3.0lf °C" \
        GPRINT:Teplota1:MAX:"\\tmax\:%3.0lf °C" \
        GPRINT:Teplota1:AVERAGE:"\\tavg\:%3.00lf °C\\n" \
        LINE2:Teplota2#FFC800:"Teplota RF Vzdalena" \
        GPRINT:Teplota2:LAST:"\\tcur\:%3.0lf °C" \
        GPRINT:Teplota2:MIN:"\\tmin\:%3.0lf °C" \
        GPRINT:Teplota2:MAX:"\\tmax\:%3.0lf °C" \
        GPRINT:Teplota2:AVERAGE:"\\tavg\:%3.00lf °C\\n" ;

#tvorba grafu RSSI
rrdtool graph RSSI-1d-$PNG \
        --title "RSSI @ $NAME" \
        --start end-1d \
        --end now \
        --imgformat PNG \
        --vertical-label "RSSI dBm" \
        --width 800 \
        --height 300 \
        DEF:RSSI1=$RRD:RSSI1:AVERAGE \
	DEF:RSSI2=$RRD:RSSI2:AVERAGE \
	LINE2:RSSI1#0004FF:"RSSI Lokalni" \
	GPRINT:RSSI1:LAST:"\\tcur\:%3.0lf dBm" \
	GPRINT:RSSI1:MIN:"\\tmin\:%3.0lf dBm" \
        GPRINT:RSSI1:MAX:"\\tmax\:%3.0lf dBm" \
        GPRINT:RSSI1:AVERAGE:"\\tavg\:%3.00lf dBm\\n" \
	LINE2:RSSI2#00CCFF:"RSSI Vzdalene" \
        GPRINT:RSSI2:LAST:"\\tcur\:%3.0lf dBm" \
	GPRINT:RSSI2:MIN:"\\tmin\:%3.0lf dBm" \
        GPRINT:RSSI2:MAX:"\\tmax\:%3.0lf dBm" \
        GPRINT:RSSI2:AVERAGE:"\\tavg\:%3.00lf dBm\\n" ;

rrdtool graph RSSI-1w-$PNG \
        --title "RSSI @ $NAME" \
        --start end-1w \
        --end now \
        --imgformat PNG \
        --vertical-label "RSSI dBm" \
        --width 800 \
        --height 300 \
        DEF:RSSI1=$RRD:RSSI1:AVERAGE \
        DEF:RSSI2=$RRD:RSSI2:AVERAGE \
        LINE2:RSSI1#0004FF:"RSSI Lokalni" \
        GPRINT:RSSI1:LAST:"\\tcur\:%3.0lf dBm" \
        GPRINT:RSSI1:MIN:"\\tmin\:%3.0lf dBm" \
        GPRINT:RSSI1:MAX:"\\tmax\:%3.0lf dBm" \
        GPRINT:RSSI1:AVERAGE:"\\tavg\:%3.00lf dBm\\n" \
        LINE2:RSSI2#00CCFF:"RSSI Vzdalene" \
        GPRINT:RSSI2:LAST:"\\tcur\:%3.0lf dBm" \
        GPRINT:RSSI2:MIN:"\\tmin\:%3.0lf dBm" \
        GPRINT:RSSI2:MAX:"\\tmax\:%3.0lf dBm" \
        GPRINT:RSSI2:AVERAGE:"\\tavg\:%3.00lf dBm\\n" ;

rrdtool graph RSSI-1m-$PNG \
        --title "RSSI @ $NAME" \
        --start end-1m \
        --end now \
        --imgformat PNG \
        --vertical-label "RSSI dBm" \
        --width 800 \
        --height 300 \
        DEF:RSSI1=$RRD:RSSI1:AVERAGE \
        DEF:RSSI2=$RRD:RSSI2:AVERAGE \
        LINE2:RSSI1#0004FF:"RSSI Lokalni" \
        GPRINT:RSSI1:LAST:"\\tcur\:%3.0lf dBm" \
        GPRINT:RSSI1:MIN:"\\tmin\:%3.0lf dBm" \
        GPRINT:RSSI1:MAX:"\\tmax\:%3.0lf dBm" \
        GPRINT:RSSI1:AVERAGE:"\\tavg\:%3.00lf dBm\\n" \
        LINE2:RSSI2#00CCFF:"RSSI Vzdalene" \
        GPRINT:RSSI2:LAST:"\\tcur\:%3.0lf dBm" \
        GPRINT:RSSI2:MIN:"\\tmin\:%3.0lf dBm" \
        GPRINT:RSSI2:MAX:"\\tmax\:%3.0lf dBm" \
        GPRINT:RSSI2:AVERAGE:"\\tavg\:%3.00lf dBm\\n" ;

rrdtool graph RSSI-1y-$PNG \
        --title "RSSI @ $NAME" \
        --start end-1y \
        --end now \
        --imgformat PNG \
        --vertical-label "RSSI dBm" \
        --width 800 \
        --height 300 \
        DEF:RSSI1=$RRD:RSSI1:AVERAGE \
        DEF:RSSI2=$RRD:RSSI2:AVERAGE \
        LINE2:RSSI1#0004FF:"RSSI Lokalni" \
        GPRINT:RSSI1:LAST:"\\tcur\:%3.0lf dBm" \
        GPRINT:RSSI1:MIN:"\\tmin\:%3.0lf dBm" \
        GPRINT:RSSI1:MAX:"\\tmax\:%3.0lf dBm" \
        GPRINT:RSSI1:AVERAGE:"\\tavg\:%3.00lf dBm\\n" \
        LINE2:RSSI2#00CCFF:"RSSI Vzdalene" \
        GPRINT:RSSI2:LAST:"\\tcur\:%3.0lf dBm" \
        GPRINT:RSSI2:MIN:"\\tmin\:%3.0lf dBm" \
        GPRINT:RSSI2:MAX:"\\tmax\:%3.0lf dBm" \
        GPRINT:RSSI2:AVERAGE:"\\tavg\:%3.00lf dBm\\n" ;

rrdtool graph RSSI-10y-$PNG \
        --title "RSSI @ $NAME" \
        --start end-10y \
        --end now \
        --imgformat PNG \
        --vertical-label "RSSI dBm" \
        --width 800 \
        --height 300 \
        DEF:RSSI1=$RRD:RSSI1:AVERAGE \
        DEF:RSSI2=$RRD:RSSI2:AVERAGE \
        LINE2:RSSI1#0004FF:"RSSI Lokalni" \
        GPRINT:RSSI1:LAST:"\\tcur\:%3.0lf dBm" \
        GPRINT:RSSI1:MIN:"\\tmin\:%3.0lf dBm" \
        GPRINT:RSSI1:MAX:"\\tmax\:%3.0lf dBm" \
        GPRINT:RSSI1:AVERAGE:"\\tavg\:%3.00lf dBm\\n" \
        LINE2:RSSI2#00CCFF:"RSSI Vzdalene" \
        GPRINT:RSSI2:LAST:"\\tcur\:%3.0lf dBm" \
        GPRINT:RSSI2:MIN:"\\tmin\:%3.0lf dBm" \
        GPRINT:RSSI2:MAX:"\\tmax\:%3.0lf dBm" \
        GPRINT:RSSI2:AVERAGE:"\\tavg\:%3.00lf dBm\\n" ;

#tvorba grafu VOLTY
rrdtool graph VOLT-1d-$PNG \
        --title "NAPETI @ $NAME" \
        --start end-1d \
        --end now \
        --imgformat PNG \
        --vertical-label "volts" \
        --width 800 \
        --height 300 \
        DEF:VOLT1=$RRD:VOLT1:AVERAGE \
        DEF:VOLT2=$RRD:VOLT2:AVERAGE \
        LINE2:VOLT1#007F20:"Napeti Lokalni" \
        GPRINT:VOLT1:LAST:"\\tcur\:%3.0lf V" \
        GPRINT:VOLT1:MIN:"\\tmin\:%3.0lf V" \
        GPRINT:VOLT1:MAX:"\\tmax\:%3.0lf V" \
        GPRINT:VOLT1:AVERAGE:"\\tavg\:%3.00lf V\\n" \
        LINE2:VOLT2#7FF010:"Napeti Vzdalene" \
        GPRINT:VOLT2:LAST:"\\tcur\:%3.0lf V" \
        GPRINT:VOLT2:MIN:"\\tmin\:%3.0lf V" \
        GPRINT:VOLT2:MAX:"\\tmax\:%3.0lf V" \
        GPRINT:VOLT2:AVERAGE:"\\tavg\:%3.00lf V\\n" ;

rrdtool graph VOLT-1w-$PNG \
        --title "NAPETI @ $NAME" \
        --start end-1w \
        --end now \
        --imgformat PNG \
        --vertical-label "volts" \
        --width 800 \
        --height 300 \
        DEF:VOLT1=$RRD:VOLT1:AVERAGE \
        DEF:VOLT2=$RRD:VOLT2:AVERAGE \
        LINE2:VOLT1#007F20:"Napeti Lokalni" \
        GPRINT:VOLT1:LAST:"\\tcur\:%3.0lf V" \
        GPRINT:VOLT1:MIN:"\\tmin\:%3.0lf V" \
        GPRINT:VOLT1:MAX:"\\tmax\:%3.0lf V" \
        GPRINT:VOLT1:AVERAGE:"\\tavg\:%3.00lf V\\n" \
        LINE2:VOLT2#7FF010:"Napeti Vzdalene" \
        GPRINT:VOLT2:LAST:"\\tcur\:%3.0lf V" \
        GPRINT:VOLT2:MIN:"\\tmin\:%3.0lf V" \
        GPRINT:VOLT2:MAX:"\\tmax\:%3.0lf V" \
        GPRINT:VOLT2:AVERAGE:"\\tavg\:%3.00lf V\\n" ;

rrdtool graph VOLT-1m-$PNG \
        --title "NAPETI @ $NAME" \
        --start end-1m \
        --end now \
        --imgformat PNG \
        --vertical-label "volts" \
        --width 800 \
        --height 300 \
        DEF:VOLT1=$RRD:VOLT1:AVERAGE \
        DEF:VOLT2=$RRD:VOLT2:AVERAGE \
        LINE2:VOLT1#007F20:"Napeti Lokalni" \
        GPRINT:VOLT1:LAST:"\\tcur\:%3.0lf V" \
        GPRINT:VOLT1:MIN:"\\tmin\:%3.0lf V" \
        GPRINT:VOLT1:MAX:"\\tmax\:%3.0lf V" \
        GPRINT:VOLT1:AVERAGE:"\\tavg\:%3.00lf V\\n" \
        LINE2:VOLT2#7FF010:"Napeti Vzdalene" \
        GPRINT:VOLT2:LAST:"\\tcur\:%3.0lf V" \
        GPRINT:VOLT2:MIN:"\\tmin\:%3.0lf V" \
        GPRINT:VOLT2:MAX:"\\tmax\:%3.0lf V" \
        GPRINT:VOLT2:AVERAGE:"\\tavg\:%3.00lf V\\n" ;

rrdtool graph VOLT-1y-$PNG \
        --title "NAPETI @ $NAME" \
        --start end-1y \
        --end now \
        --imgformat PNG \
        --vertical-label "volts" \
        --width 800 \
        --height 300 \
        DEF:VOLT1=$RRD:VOLT1:AVERAGE \
        DEF:VOLT2=$RRD:VOLT2:AVERAGE \
        LINE2:VOLT1#007F20:"Napeti Lokalni" \
        GPRINT:VOLT1:LAST:"\\tcur\:%3.0lf V" \
        GPRINT:VOLT1:MIN:"\\tmin\:%3.0lf V" \
        GPRINT:VOLT1:MAX:"\\tmax\:%3.0lf V" \
        GPRINT:VOLT1:AVERAGE:"\\tavg\:%3.00lf V\\n" \
        LINE2:VOLT2#7FF010:"Napeti Vzdalene" \
        GPRINT:VOLT2:LAST:"\\tcur\:%3.0lf V" \
        GPRINT:VOLT2:MIN:"\\tmin\:%3.0lf V" \
        GPRINT:VOLT2:MAX:"\\tmax\:%3.0lf V" \
        GPRINT:VOLT2:AVERAGE:"\\tavg\:%3.00lf V\\n" ;

rrdtool graph VOLT-10y-$PNG \
        --title "NAPETI @ $NAME" \
        --start end-10y \
        --end now \
        --imgformat PNG \
        --vertical-label "volts" \
        --width 800 \
        --height 300 \
        DEF:VOLT1=$RRD:VOLT1:AVERAGE \
        DEF:VOLT2=$RRD:VOLT2:AVERAGE \
        LINE2:VOLT1#007F20:"Napeti Lokalni" \
        GPRINT:VOLT1:LAST:"\\tcur\:%3.0lf V" \
        GPRINT:VOLT1:MIN:"\\tmin\:%3.0lf V" \
        GPRINT:VOLT1:MAX:"\\tmax\:%3.0lf V" \
        GPRINT:VOLT1:AVERAGE:"\\tavg\:%3.00lf V\\n" \
        LINE2:VOLT2#7FF010:"Napeti Vzdalene" \
        GPRINT:VOLT2:LAST:"\\tcur\:%3.0lf V" \
        GPRINT:VOLT2:MIN:"\\tmin\:%3.0lf V" \
        GPRINT:VOLT2:MAX:"\\tmax\:%3.0lf V" \
        GPRINT:VOLT2:AVERAGE:"\\tavg\:%3.00lf V\\n" ;

#tvorba grafu ERROR OCTETS
rrdtool graph ERROCT-1d-$PNG \
        --title "ERROR OCTETS @ $NAME" \
        --start end-1d \
        --end now \
        --imgformat PNG \
        --vertical-label "error octets" \
        --width 800 \
        --height 300 \
        DEF:ERROCT1=$RRD:ERROCT1:AVERAGE \
        DEF:ERROCT2=$RRD:ERROCT2:AVERAGE \
        LINE2:ERROCT1#7F0010:"ERROCT Lokalni" \
        GPRINT:ERROCT1:LAST:"\\tcur\:%0.0lf octets" \
        GPRINT:ERROCT1:MIN:"\\tmin\:%0.0lf octets" \
        GPRINT:ERROCT1:MAX:"\\tmax\:%0.0lf octets" \
        GPRINT:ERROCT1:AVERAGE:"\\tavg\:%1.00lf octets\\n" \
        LINE2:ERROCT2#7F8090:"ERROCT Vzdalene" \
        GPRINT:ERROCT2:LAST:"\\tcur\:%0.0lf octets" \
        GPRINT:ERROCT2:MIN:"\\tmin\:%0.0lf octets" \
        GPRINT:ERROCT2:MAX:"\\tmax\:%0.0lf octets" \
        GPRINT:ERROCT2:AVERAGE:"\\tavg\:%1.00lf octets\\n" ;

rrdtool graph ERROCT-1w-$PNG \
        --title "ERROR OCTETS @ $NAME" \
        --start end-1w \
        --end now \
        --imgformat PNG \
        --vertical-label "error octets" \
        --width 800 \
        --height 300 \
        DEF:ERROCT1=$RRD:ERROCT1:AVERAGE \
        DEF:ERROCT2=$RRD:ERROCT2:AVERAGE \
        LINE2:ERROCT1#7F0010:"ERROCT Lokalni" \
        GPRINT:ERROCT1:LAST:"\\tcur\:%0.0lf octets" \
        GPRINT:ERROCT1:MIN:"\\tmin\:%0.0lf octets" \
        GPRINT:ERROCT1:MAX:"\\tmax\:%0.0lf octets" \
        GPRINT:ERROCT1:AVERAGE:"\\tavg\:%2.00lf octets\\n" \
        LINE2:ERROCT2#7F8090:"ERROCT Vzdalene" \
        GPRINT:ERROCT2:LAST:"\\tcur\:%0.0lf octets" \
        GPRINT:ERROCT2:MIN:"\\tmin\:%0.0lf octets" \
        GPRINT:ERROCT2:MAX:"\\tmax\:%0.0lf octets" \
        GPRINT:ERROCT2:AVERAGE:"\\tavg\:%2.00lf octets\\n" ;

rrdtool graph ERROCT-1m-$PNG \
        --title "ERROR OCTETS @ $NAME" \
        --start end-1m \
        --end now \
        --imgformat PNG \
        --vertical-label "error octets" \
        --width 800 \
        --height 300 \
        DEF:ERROCT1=$RRD:ERROCT1:AVERAGE \
        DEF:ERROCT2=$RRD:ERROCT2:AVERAGE \
        LINE2:ERROCT1#7F0010:"ERROCT Lokalni" \
        GPRINT:ERROCT1:LAST:"\\tcur\:%0.0lf octets" \
        GPRINT:ERROCT1:MIN:"\\tmin\:%0.0lf octets" \
        GPRINT:ERROCT1:MAX:"\\tmax\:%0.0lf octets" \
        GPRINT:ERROCT1:AVERAGE:"\\tavg\:%2.00lf octets\\n" \
        LINE2:ERROCT2#7F8090:"ERROCT Vzdalene" \
        GPRINT:ERROCT2:LAST:"\\tcur\:%0.0lf octets" \
        GPRINT:ERROCT2:MIN:"\\tmin\:%0.0lf octets" \
        GPRINT:ERROCT2:MAX:"\\tmax\:%0.0lf octets" \
        GPRINT:ERROCT2:AVERAGE:"\\tavg\:%2.00lf octets\\n" ;

rrdtool graph ERROCT-1y-$PNG \
        --title "ERROR OCTETS @ $NAME" \
        --start end-1y \
        --end now \
        --imgformat PNG \
        --vertical-label "error octets" \
        --width 800 \
        --height 300 \
        DEF:ERROCT1=$RRD:ERROCT1:AVERAGE \
        DEF:ERROCT2=$RRD:ERROCT2:AVERAGE \
        LINE2:ERROCT1#7F0010:"ERROCT Lokalni" \
        GPRINT:ERROCT1:LAST:"\\tcur\:%0.0lf octets" \
        GPRINT:ERROCT1:MIN:"\\tmin\:%0.0lf octets" \
        GPRINT:ERROCT1:MAX:"\\tmax\:%0.0lf octets" \
        GPRINT:ERROCT1:AVERAGE:"\\tavg\:%2.00lf octets\\n" \
        LINE2:ERROCT2#7F8090:"ERROCT Vzdalene" \
        GPRINT:ERROCT2:LAST:"\\tcur\:%0.0lf octets" \
        GPRINT:ERROCT2:MIN:"\\tmin\:%0.0lf octets" \
        GPRINT:ERROCT2:MAX:"\\tmax\:%0.0lf octets" \
        GPRINT:ERROCT2:AVERAGE:"\\tavg\:%2.00lf octets\\n" ;

rrdtool graph ERROCT-10y-$PNG \
        --title "ERROR OCTETS @ $NAME" \
        --start end-10y \
        --end now \
        --imgformat PNG \
        --vertical-label "error octets" \
        --width 800 \
        --height 300 \
        DEF:ERROCT1=$RRD:ERROCT1:AVERAGE \
        DEF:ERROCT2=$RRD:ERROCT2:AVERAGE \
        LINE2:ERROCT1#7F0010:"ERROCT Lokalni" \
        GPRINT:ERROCT1:LAST:"\\tcur\:%0.0lf octets" \
        GPRINT:ERROCT1:MIN:"\\tmin\:%0.0lf octets" \
        GPRINT:ERROCT1:MAX:"\\tmax\:%0.0lf octets" \
        GPRINT:ERROCT1:AVERAGE:"\\tavg\:%2.00lf octets\\n" \
        LINE2:ERROCT2#7F8090:"ERROCT Vzdalene" \
        GPRINT:ERROCT2:LAST:"\\tcur\:%0.0lf octets" \
        GPRINT:ERROCT2:MIN:"\\tmin\:%0.0lf octets" \
        GPRINT:ERROCT2:MAX:"\\tmax\:%0.0lf octets" \
        GPRINT:ERROCT2:AVERAGE:"\\tavg\:%0.0lf octets\\n" ;


#generovani HTML
# index
(
  echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">"
  echo "<html>"
  echo "<head>"
  echo "<meta http-equiv= \"Refresh\" content=\"300\">"
  echo "<meta http-equiv= \"Cache-Control\" content=\"no-cache\">"
  echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=UTF-8\">"
  echo "<title>Statistika spoje $NAME</title>"
  echo "</head>"
  echo "<body>"
  echo "<H1><u>Statistika spoje $NAME</u></H1>"
  echo "<a href=\"Teplota.html\"><img src=\"Teplota-1d-$PNG\" border=0 alt=\"$NAME\"></a><br>"
  echo "<a href=\"RSSI.html\"><img src=\"RSSI-1d-$PNG\" border=0 alt=\"$NAME\"></a><br>"
  echo "<a href=\"VOLT.html\"><img src=\"VOLT-1d-$PNG\" border=0 alt=\"$NAME\"></a><br>"
  echo "<a href=\"ERROCT.html\"><img src=\"ERROCT-1d-$PNG\" border=0 alt=\"$NAME\"></a><br>"
  echo "</body>"
  echo "</html>"
) > index.html

#Teplota
(
  echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">"
  echo "<html>"
  echo "<head>"
  echo "<meta http-equiv= \"Refresh\" content=\"300\">"
  echo "<meta http-equiv= \"Cache-Control\" content=\"no-cache\">"
  echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=UTF-8\">"
  echo "<title>Teplota spoje $NAME</title>"
  echo "</head>"
  echo "<body>"
  echo "<H2><u>Teplota spoje $NAME</u></H2>"
  echo "<img src=\"Teplota-1d-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"Teplota-1w-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"Teplota-1m-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"Teplota-1y-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"Teplota-10y-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "</body>"
  echo "</html>"
) > Teplota.html

#RSSI
(
  echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">"
  echo "<html>"
  echo "<head>"
  echo "<meta http-equiv= \"Refresh\" content=\"300\">"
  echo "<meta http-equiv= \"Cache-Control\" content=\"no-cache\">"
  echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=UTF-8\">"
  echo "<title>RSSI spoje $NAME</title>"
  echo "</head>"
  echo "<body>"
  echo "<H2><u>RSSI spoje $NAME</u></H2>"
  echo "<img src=\"RSSI-1d-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"RSSI-1w-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"RSSI-1m-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"RSSI-1y-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"RSSI-10y-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "</body>"
  echo "</html>"
) > RSSI.html

#VOLT
(
  echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">"
  echo "<html>"
  echo "<head>"
  echo "<meta http-equiv= \"Refresh\" content=\"300\">"
  echo "<meta http-equiv= \"Cache-Control\" content=\"no-cache\">"
  echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=UTF-8\">"
  echo "<title>RSSI spoje $NAME</title>"
  echo "</head>"
  echo "<body>"
  echo "<H2><u>RSSI spoje $NAME</u></H2>"
  echo "<img src=\"VOLT-1d-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"VOLT-1w-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"VOLT-1m-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"VOLT-1y-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"VOLT-10y-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "</body>"
  echo "</html>"
) > VOLT.html

#ERROR OCTETS
(
  echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">"
  echo "<html>"
  echo "<head>"
  echo "<meta http-equiv= \"Refresh\" content=\"300\">"
  echo "<meta http-equiv= \"Cache-Control\" content=\"no-cache\">"
  echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=UTF-8\">"
  echo "<title>ERROR OCTETS spoje $NAME</title>"
  echo "</head>"
  echo "<body>"
  echo "<H2><u>ERROR OCTETS spoje $NAME</u></H2>"
  echo "<img src=\"ERROCT-1d-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"ERROCT-1w-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"ERROCT-1m-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"ERROCT-1y-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "<img src=\"ERROCT-10y-$PNG\" border=0 alt=\"$NAME\"><br>"
  echo "</body>"
  echo "</html>"
) > ERROCT.html

exit 0
